FROM registry.gitlab.com/thallian/docker-php7-fpm:master

ENV FPMUSER nginx
ENV FPMGROUP nginx

RUN apk add --no-cache  \
    nginx \
    nextcloud \
    nextcloud-user_ldap \
    nextcloud-files_sharing \
    nextcloud-files_texteditor \
    nextcloud-files_pdfviewer \
    nextcloud-files_videoplayer \
    nextcloud-theming \
    nextcloud-gallery \
    nextcloud-twofactor_backupcodes \
    nextcloud-pgsql \
    php7-opcache \
    php7-pcntl \
    php7-imagick

RUN chown -R nginx:nginx /var/lib/nextcloud
RUN chown -R nginx:nginx /etc/nextcloud
RUN chown -R nginx:nginx /usr/share/webapps/nextcloud

RUN mkdir /run/nginx
RUN rm /etc/nginx/conf.d/default.conf

ADD /rootfs /

VOLUME ["/var/lib/nextcloud/data" "/etc/nextcloud/"]
